Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
FilterStream Class Referenceabstract

`#include <filterStream.h>`

Inheritance diagram for FilterStream:

## Public Member Functions
virtual | ~FilterStream ()
virtual bool | attachStream (Stream *io_pSlaveStream)=0
virtual void | detachStream ()=0
virtual Stream * | getStream ()=0
bool | hasCapability (const Capability) const
| Checks to see if this stream has the capability of a given function. More...
U32 | getPosition () const
| Gets the position in the stream. More...
bool | setPosition (const U32 in_newPosition)
| Sets the position of the stream. Returns if the new position is valid or not. More...
U32 | getStreamSize ()
| Gets the size of the stream. More...
Public Member Functions inherited from Stream
| Stream ()
virtual | ~Stream ()
Stream::Status | getStatus () const
| Gets the status of the stream. More...
void | readLine (U8 *buffer, U32 bufferSize)
void | writeLine (U8 *buffer)
| writes a line to the stream More...
const char * | readSTString (bool casesens=false)
virtual void | readString (char stringBuf[256])
| Reads a string of maximum 255 characters long. More...
void | readLongString (U32 maxStringLen, char *stringBuf)
void | writeLongString (U32 maxStringLen, const char *string)
bool | Put (char character)
virtual void | writeString (const char *stringBuf, S32 maxLen=255)
| Writes a string to the stream. More...
bool | writeFormattedBuffer (const char *format,...)
bool | writeStringBuffer (const char *buffer)
| Writes a NULL terminated string buffer. More...
bool | write (const ColorI &)
| Write an integral color to the stream. More...
bool | write (const ColorF &)
| Write a floating point color to the stream. More...
bool | read (ColorI *)
| Read an integral color from the stream. More...
bool | read (ColorF *)
| Read a floating point color from the stream. More...
bool | read (const U32 in_numBytes, void *out_pBuffer)
bool | write (const U32 in_numBytes, const void *in_pBuffer)
bool | read (bool *out_pRead)
bool | write (const bool &in_rWrite)
bool | copyFrom (Stream *other)
| Copy the contents of another stream into this one. More...
void | writeTabs (U32 count)
| Write a number of tabs to this stream. More...

## Protected Member Functions
bool | _read (const U32 in_numBytes, void *out_pBuffer)
bool | _write (const U32 in_numBytes, const void *in_pBuffer)
Protected Member Functions inherited from Stream
void | setStatus (const Status in_newStatus)

## Additional Inherited Members
Public Types inherited from Stream
enum | Status { Ok = 0, IOError, EOS, IllegalCall, Closed, UnknownError }
| Status constantants for the stream. More...
enum | Capability { StreamWrite = BIT(0), StreamRead = BIT(1), StreamPosition = BIT(2) }
Static Public Member Functions inherited from Stream
static const char * | getStatusString (const Status in_status)
| Gets a printable string form of the status. More...

## Constructor & Destructor Documentation

~FilterStream | ( |  | ) |
| virtual

## Member Function Documentation

bool _read | ( | const U32 | in_numBytes,
|  | void * | out_pBuffer
| ) |  |
| protected virtual

Implements Stream.

Reimplemented in ZipStatFilter, ZipSubWStream, ZipSubRStream, ZipCryptRStream, and ResizeFilterStream.

bool _write | ( | const U32 | in_numBytes,
|  | const void * | in_pBuffer
| ) |  |
| protected virtual

Implements Stream.

Reimplemented in ZipStatFilter, and ZipSubWStream.

virtual bool attachStream | ( | Stream * | io_pSlaveStream | ) |
| pure virtual

Implemented in ZipStatFilter, ZipSubWStream, ZipSubRStream, ZipCryptRStream, and ResizeFilterStream.

virtual void detachStream | ( |  | ) |
| pure virtual

Implemented in ZipStatFilter, ZipSubWStream, ZipSubRStream, ZipCryptRStream, and ResizeFilterStream.

U32 getPosition | ( |  | ) | const
| virtual

Gets the position in the stream.

Implements Stream.

Reimplemented in ZipSubWStream, ZipSubRStream, ResizeFilterStream, and ZipCryptRStream.

virtual Stream* getStream | ( |  | ) |
| pure virtual

Implemented in ZipStatFilter, ZipSubWStream, ZipSubRStream, ZipCryptRStream, and ResizeFilterStream.

U32 getStreamSize | ( |  | ) |
| virtual

Gets the size of the stream.

Implements Stream.

Reimplemented in ZipSubWStream, ZipSubRStream, and ResizeFilterStream.

bool hasCapability | ( | const Capability |  | ) | const
| virtual

Checks to see if this stream has the capability of a given function.

Implements Stream.

Reimplemented in ZipSubWStream, and ZipSubRStream.

bool setPosition | ( | const U32 | in_newPosition | ) |
| virtual

Sets the position of the stream. Returns if the new position is valid or not.

Implements Stream.

Reimplemented in ZipSubWStream, ZipSubRStream, ResizeFilterStream, and ZipCryptRStream.

The documentation for this class was generated from the following files:

- io/filterStream.h
- io/filterStream.cc